#---------------------------------------------------------------------------
#
#   SuPy GUI - Window - Generic
#
#---------------------------------------------------------------------------

from properties import overridable_property
from container import Container

class GWindow(Container):

	title = overridable_property('title', "Title of the window")
	visible = overridable_property('visible', "Shown on screen")

	def close(self):
		"""Called when the close box is clicked. Default is to destroy the window."""
		self.destroy()

	def show(self):
		"""Make the window visible."""
		self.visible = True
	
	def hide(self):
		"""Make the window invisible."""
		self.visible = False
